×
Kunena 5.1.15 Released (27 Oct 2019)

The Kunena team has announce the arrival of Kunena 5.1.15 [K 5.1.15] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1.

× Topics that are moved into this category are generally considered to be closed. Users may want to add additional information but these topics should not be resurrected in order to discuss new problems or unrelated matters.

Important Installation of 1.5.14 in preparation for Agora conversion error

More
8 years 9 months ago - 8 years 9 months ago #1 by Wineblue2
In preparation to convert from Agora to Kunena I attempted to install K1.5.14 and received the following error during installation:

Fatal error: Call to a member function getAttribute() on a non-object in /home/globalte/public_html/administrator/components/com_kunena/lib/fx.upgrade.class.php on line 255

Huh?!

Furthermore, upon installation of Kunena Converter and running it I get the following:

Notice: Undefined index: birthdate in /home/globalte/public_html/administrator/components/com_kunenaconverters/models/kunenaconverters.php on line 78

Fatal error: Uncaught exception 'Exception' with message 'KunenaConvertersModelKunenaConverters::_insertData failed. (Table 'globalte_jo151.jos_fb_users' doesn't exist SQL=INSERT INTO jos_fb_users (userid,posts,signature,gender,location,SKYPE,websiteurl) VALUES ('62','26','Regards, Robert Easterling Founder/President','1','Edgerton, WI.','globalteamdirect',' www.globalteamdirect.com '))' in /home/globalte/public_html/administrator/components/com_kunenaconverters/models/kunenaconverters.php:367 Stack trace: #0 /home/globalte/public_html/administrator/components/com_kunenaconverters/models/kunenaconverters.php(100): KunenaConvertersModelKunenaConverters->_insertData('fb_users', Array) #1 /home/globalte/public_html/administrator/components/com_kunenaconverters/models/kunenaconverters.php(34): KunenaConvertersModelKunenaConverters->_importAgoraUsers() #2 /home/globalte/public_html/administrator/components/com_kunenaconverters/controllers/kunenaconverters.php(37): KunenaConvertersModelKunenaConverters->agora() #3 /home/g in /home/globalte/public_html/administrator/components/com_kunenaconverters/models/kunenaconverters.php on line 367

Sigh! So much for this being as easy as everyone else had described! HELP!
Last edit: 8 years 9 months ago by Wineblue2. Reason: additional info

Please Log in or Create an account to join the conversation.

More
8 years 9 months ago #2 by sozzled
In preparation for the conversion from Agora to Kunena 1.5 (in preparation for the ultimate conversion to K 1.6, I imagine) ... you are doing this on a brand-new, fresh, clean Joomla 1.5.22 with nothing other else on it. Is that right? If you have problems installing K 1.5 on a fresh, clean, brand new Joomla 1.5.22 site, you've got problems.

So, let's start with getting the basics right. Look at K 1.6 Technical Requirements (you're going to need to make sure your site meets those anyway). ;)

Please Log in or Create an account to join the conversation.

More
8 years 9 months ago #3 by Wineblue2
No actually this is a much older Joomla web site that has gone through numerous Joomla version upgrade over the past 3 years,

Please Log in or Create an account to join the conversation.

More
8 years 9 months ago #4 by sozzled
There's the likely source of your problem.

My advice to you: prove the concept first! Establish that your server can host K 1.6 (even though you are going to install K 1.5) and then work from that basis.

Start with a clean J! 1.5.22 site, then add K 1.5.22 and prove that you do not get those installation errors. The rest of the process is not too difficult after that.

Please Log in or Create an account to join the conversation.

More
8 years 9 months ago #5 by Wineblue2
This is a Joomla 1.5.22 site with all of your aforementioned requirements as they should be.

Please Log in or Create an account to join the conversation.

More
8 years 9 months ago #6 by Wineblue2
OK I just did another installation of Kunena 1.5.14 on a J1.5.22 site. Is this suppose to result in a blank white page with only a mention in the top left corner that says "Creating Version Table" with a green check mark? All other component installs provide component details in the INSTALLER page.

Please Log in or Create an account to join the conversation.

More
8 years 9 months ago #7 by sozzled
Thank you for your reply. No, you should not have received that message. I will try a similar experiment myself. I will try to install K 1.5.14 on a fresh clean J! 1.5.22 site and, if I get into the same situation as you, I will report this to the development team. Theoretically, though, K 1.5.14 is identical to K 1.5.13 except for one small difference in one file.

Please Log in or Create an account to join the conversation.

More
8 years 9 months ago - 8 years 9 months ago #8 by Wineblue2
OK well this is a fresh (3 weeks old) install of J 1.5.22 with only Akeeba Admin tools and Akeeba Backup on it with Chromoforms. Also, I just uninstalled it using the uninstaller and I got the following error despite it showing the component was uninstalled:

XML Parsing Error at 3:84. Error 9: Invalid character
Last edit: 8 years 9 months ago by Wineblue2. Reason: additional info

Please Log in or Create an account to join the conversation.

More
8 years 9 months ago #9 by sozzled
I'll let you know what I find on a totally brand-new, untarnished, no modifications made to it, stock standard, vanilla-flavoured J! 1.5.22 site.

Please Log in or Create an account to join the conversation.

More
8 years 9 months ago #10 by sozzled
I agree with you. I also cannot install K 1.5.14 on a clean J! 1.5.22 website (.ZIP format, .TAR format or .TAR.GX format).

I had no difficulties installing K 1.5.13, however. For the the temporary purposes that you need K 1.5, I would suggest that you install K 1.5.13 and then upgrade to K 1.6.3 after you have migrated your Agora forum.

I have reported this problem to the development team.
The following user(s) said Thank You: toastguy, Wineblue2

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.182 seconds